Log4j 1.2.7

## org.apache.log4j.helpers
Class NullEnumeration

    java.lang.Object
      |
      +--org.apache.log4j.helpers.NullEnumeration

All Implemented Interfaces:
  Enumeration

public class NullEnumeration
extends Object
implements Enumeration

An always-empty Enumerator.

Since:
  version 1.0
Author:
  Anders Kristensen

Method Summary
`static NullEnumeration` `getInstance()`
`boolean` `hasMoreElements()`
`Object` `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static NullEnumeration getInstance()

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `Enumeration`

### nextElement

    public Object nextElement()

  Specified by:
    `nextElement` in interface `Enumeration`

Log4j 1.2.7

Copyright 2000-2002 Apache Software Foundation.